[旧版]{class="badge informative"}
更新决策规则 update-decision-rule
TIP
决策是 Adobe Journey Optimizer 的全新决策功能,现已通过基于代码的体验和电子邮件渠道提供!了解详情
您可以创建后备优惠,方法是在提供容器ID的同时,向Offer Library API发出POST请求。
接受和内容类型标头 accept-and-content-type-headers
下表显示了请求标头中包含 Content-Type 和 Accept 字段的有效值:
标头名称
值
接受
application/vnd.adobe.platform.xcore.xdm.receipt+json; version=1Content-Type
application/vnd.adobe.platform.xcore.patch.hal+json; version=1; schema="https://ns.adobe.com/experience/offer-management/eligibility-rule;version=0.3"API格式
PATCH /{ENDPOINT_PATH}/{CONTAINER_ID}/instances/{INSTANCE_ID}
参数
描述
示例
{ENDPOINT_PATH}存储库API的端点路径。
https://platform.adobe.io/data/core/xcore/{CONTAINER_ID}决策规则所在的容器。
e0bd8463-0913-4ca1-bd84-6309134ca1f6{INSTANCE_ID}要更新的决策规则的实例ID。
eaa5af90-13d9-11eb-9472-194dee6dc381请求
curl -X PATCH \
'https://platform.adobe.io/data/core/xcore/ab574eca-f7a9-38d0-b3d9-297376ca9ee2/instances/eaa5af90-13d9-11eb-9472-194dee6dc381' \
-H 'Accept: application/vnd.adobe.platform.xcore.xdm.receipt+json; version=1' \
-H 'Content-Type: application/vnd.adobe.platform.xcore.patch.hal+json; version=1; schema="https://ns.adobe.com/experience/offer-management/eligibility-rule;version=0.3"' \
-H 'Authorization: Bearer {ACCESS_TOKEN}' \
-H 'x-api-key: {API_KEY}' \
-H 'x-gw-ims-org-id: {IMS_ORG}' \
-H 'x-sandbox-name: {SANDBOX_NAME}'\
-d '[
{
"op": "replace",
"path": "/_instance/xdm:name",
"value": "Sales and discounts rule"
}
]'
响应
成功的响应将返回决策规则的更新详细信息,包括其唯一实例ID和决策规则@id。
{
"instanceId": "eaa5af90-13d9-11eb-9472-194dee6dc381",
"@id": "xcore:eligibility-rule:124e0faf5b8ee89b",
"repo:etag": 2,
"repo:createdDate": "2023-10-21T20:13:43.048666Z",
"repo:lastModifiedDate": "2023-10-21T20:25:43.705861Z",
"repo:createdBy": "{CREATED_BY}",
"repo:lastModifiedBy": "{MODIFIED_BY}",
"repo:createdByClientId": "{CREATED_CLIENT_ID}",
"repo:lastModifiedByClientId": "{MODIFIED_CLIENT_ID}"
}
recommendation-more-help
b22c9c5d-9208-48f4-b874-1cefb8df4d76